View Issue Details

IDProjectCategoryView StatusLast Update
0000215GORM[Adventure PHP Framework] Neues Feature // New Featurepublic2015-10-12 12:19
ReporterGeneral CrimeAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version[Adventure PHP Framework] 2.1 
Target VersionFixed in Version[Adventure PHP Framework] 3.0 
Summary0000215: Funktionen zum auslesen des Datums der von CreationT** und ModificationT**
DescriptionHallo,
ich habe immer das Problem das der GORM keine eigenen Funktionen zum auslesen der beiden Standard Datum Feldern besitzt.

Darum erstelle ich mir jedesmal diese in meinen Objekten.
Ich finde es hilfreich wenn diese Funktionen direkt im GORM eingebaut sind.
Additional Informationpublic function getModificationTimestamp($format = NULL) {
if ($format === NULL) {
return $this->getProperty('ModificationTimestamp');
} else if ($format == 'UNIX') {
return strtotime($this->getModificationTimestamp();
} else {
return date($format,$this->getModificationTimestamp('UNIX'));
}

Das selbige dann auch bei CreationTimestamp, das ganze kann natürlich auch verändert werden für mich war dies das beste um alle Eventualitäten abhandeln zu können.
Tagsgorm
Codereferenz: ([Datei]:[Zeile])

Activities

ChristianAchatz

2014-07-02 22:35

administrator   ~0000431

Hallo GeneralCrime,

das Feature gibt es im Prinzip schon. Wenn du mit Domänen-Objekten arbeitest (siehe http://adventure-php-framework.org/Seite/063-Generischer-OR-Mapper#Chapter-7-Eigene-Domaenen-Objekte), werden Standardmäßig die Methoden

/**
 * @return string The value for property "CreationTimestamp".
 */
public function getCreationTimestamp() {
   return $this->getProperty('CreationTimestamp');
}

/**
 * @return string The value for property "ModificationTimestamp".
 */
public function getModificationTimestamp() {
   return $this->getProperty('ModificationTimestamp');
}

generiert. Möchtest du die Werte ohne das Feature auslesen, so kannst du z.B. einfach ein

$object->getProperty('ModificationTimestamp');

nutzen. Du bekommst jeweils ein Datum der Form "YYYY-mm-dd HH:ii:ss" zurück, da in der Datenbank ein

timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'

als Datentyp genutzt wird.

Hoffe das hilft dir! :)

General Crime

2014-07-02 22:47

developer   ~0000432

Cool den Objekt Generator kannte ich noch nicht!
Stellt sich allerdings die Frage warum dieser die Creation und Modification erstellt wenn es doch eh Bestandteil aller Objekte ist somit im GenericDomainObject enthalten sein sollte. Den was ich mittels dem Generator erzeuge ist wieder x mal die selbe Funktion die eh alle Objekte haben.

ChristianAchatz

2014-07-02 22:50

administrator   ~0000433

Das ist ein guter Einwand! Ich werde die beiden Methoden mal in das GDO ziehen und aus dem Generator entfernen.

@me: TODO

ChristianAchatz

2014-07-03 11:04

administrator   ~0000434

Erledigt!

Issue History

Date Modified Username Field Change
2014-06-27 11:37 General Crime New Issue
2014-06-27 11:54 General Crime Tag Attached: gorm
2014-07-02 22:35 ChristianAchatz Note Added: 0000431
2014-07-02 22:35 ChristianAchatz Status new => feedback
2014-07-02 22:47 General Crime Note Added: 0000432
2014-07-02 22:47 General Crime Status feedback => new
2014-07-02 22:50 ChristianAchatz Note Added: 0000433
2014-07-02 22:50 ChristianAchatz Assigned To => ChristianAchatz
2014-07-02 22:50 ChristianAchatz Status new => assigned
2014-07-03 11:04 ChristianAchatz Note Added: 0000434
2014-07-03 11:05 ChristianAchatz Status assigned => resolved
2014-07-03 11:05 ChristianAchatz Fixed in Version => 3.0
2014-07-03 11:05 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed